Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.pm.jdbc2
Interface PersistenceManagerMBean

All Superinterfaces:
  CacheStoreMBean, PersistenceManagerMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  PersistenceManager

public interface PersistenceManagerMBean
extends org.jboss.system.ServiceMBean, PersistenceManagerMBean, CacheStoreMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Fields inherited from interface org.jboss.mq.pm.PersistenceManagerMBean
`OBJECT_NAME`

Method Summary
`javax.management.ObjectName` | `getConnectionManager()`
`int` | `getConnectionRetryAttempts()` Gets the ConnectionRetryAttempts.
`Object` | `getInstance()` Describe `getInstance` method here.
`String` | `getSqlProperties()` Gets the sqlProperties.
`void` | `setConnectionManager(javax.management.ObjectName connectionManagerName)`
`void` | `setConnectionRetryAttempts(int value)` Sets the ConnectionRetryAttempts.
`void` | `setSqlProperties(String value)` Sets the sqlProperties.

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface org.jboss.mq.pm.PersistenceManagerMBean
`getMessageCache, setMessageCache`

Method Detail

### getInstance

    public Object getInstance()

  Describe `getInstance` method here.

  Specified by:
    `getInstance` in interface `PersistenceManagerMBean`
  Returns:
    an `Object` value

### getConnectionManager

    public javax.management.ObjectName getConnectionManager()

### setConnectionManager

    public void setConnectionManager(javax.management.ObjectName connectionManagerName)

### getSqlProperties

    public String getSqlProperties()

  Gets the sqlProperties.

  Returns:
    Returns a Properties

### setSqlProperties

    public void setSqlProperties(String value)

  Sets the sqlProperties.

### setConnectionRetryAttempts

    public void setConnectionRetryAttempts(int value)

  Sets the ConnectionRetryAttempts.

### getConnectionRetryAttempts

    public int getConnectionRetryAttempts()

  Gets the ConnectionRetryAttempts.

  Returns:
    Returns a ConnectionRetryAttempt value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.